# csgn

returns the sign of a vector of real of complex values

## Calling Sequence

    s = csgn(z)

## Arguments

z

  a vector of values on which we want to compute the sign

s

  if the real part is not equal to zero:

  - `+1` if the real part of an element is positive

  - `-1` if the real part of an element is negative

  If the real part is equal to zero:

  - `+1` if the imaginary part of an element is positive

  - `-1` if the imaginary part of an element is negative

  if the element is equal to zero, then returns `%nan`

## Description

The `csgn` function returns the sign of a vector of real of complex values `z`.

## Examples

    A = [1 1+%i 0 -1 1-%i -1-%i];
    csgn(A)

## See Also

- sign
- signm